easy_admin:
    entities:
        Voivodeship:
            require_permission: ROLE_SUPERADMIN
            class: Notimeo\VoivodeshipBundle\Entity\Voivodeship
            search:
                fields:
                    - name
            list:
                title: entity.voivodeship.title.list
                sort: [name, ASC]
                fields:
                    - { property: name, label: common.name }
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
            show:
                fields:
                    - { property: name, label: common.name }
            form:
                title: entity.voivodeship.title.new
                fields:
                    - type: group
                      css_class: col-lg-12
                      label: common.main_content
                      icon: paint-brush

                    - property: name
                      label: common.name
            edit:
                title: entity.polish_city.title.edit
        PolishCity:
            class: Notimeo\VoivodeshipBundle\Entity\PolishCity
            controller: Notimeo\VoivodeshipBundle\Controller\PolishCitiesAdminController
            search:
                fields:
                    - name
            list:
                title: entity.polish_city.title.list
                sort: [name, ASC]
                fields:
                    - { property: id, label: common.id }
                    - { property: name, label: common.name }
                    - { property: voivodeship.name, label: common.voivodeship }
                    - { property: active, label: common.whether_active }
                    - { property: addresses, label: page.polish_city_list.name.addresses }
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
            show:
                fields:
                    - { property: name, label: common.name }
            form:
                title: entity.voivodeship.title.new
                fields:
                    - type: group
                      css_class: col-lg-12
                      label: common.main_content
                      icon: paint-brush

                    - property: active
                      label: common.whether_active

                    - property: name
                      label: common.name

                    - property: voivodeship
                      label: common.voivodeship
                      required: true
                      type_options:
                        placeholder: common.choose
            new:
                title: entity.polish_city.title.new
            edit:
                title: entity.polish_city.title.edit